This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 831117 - (CVE-2012-2690) CVE-2012-2690 libguestfs: virt-edit creates a new file, when it is used leading to loss of file attributes (permissions, owner, SELinux context etc.)
CVE-2012-2690 libguestfs: virt-edit creates a new file, when it is used leadi...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120208,reported=2...
: Security
Depends On: 788642
Blocks: 784298 831125
  Show dependency treegraph
 
Reported: 2012-06-12 04:52 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 23:58:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-06-12 04:52:58 EDT
A security flaw was found in the way virt-edit tool of libguestfs, a library for accessing and modifying guest disk images, performed file editing in a virtual machine (new file was created, when original file was used leading to loss of attributes likes file permissions, file owner or SELinux context for the edited file). If certain sensitive files were edited using virt-edit, they would become world-readable.

References:
[1] http://www.openwall.com/lists/oss-security/2012/06/11/1
[2] https://bugzilla.redhat.com/show_bug.cgi?id=788642
[3] https://www.redhat.com/archives/libguestfs/2012-February/msg00033.html

Proposed upstream patch:
[4] https://www.redhat.com/archives/libguestfs/2012-February/msg00034.html
Comment 1 Jan Lieskovsky 2012-06-12 04:54:55 EDT
This issue affects the version of the libguestfs package, as shipped
with Red Hat Enterprise Linux 6.
Comment 5 errata-xmlrpc 2012-06-20 03:02:02 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0774 https://rhn.redhat.com/errata/RHSA-2012-0774.html
Comment 7 Richard W.M. Jones 2012-06-22 11:38:59 EDT
We will fix this for EPEL 5.  I'm going to push a massively
updated libguestfs package to EPEL 5 next week.

Note You need to log in before you can comment on or make changes to this bug.